Subject: Re: [Uri-review] [IANA #397115] Spurious reference in IANA URI Scheme registry

From: Alfred Hönes <[email-masked]>
Date: Wed, 13 Oct 2010 21:51:42 +0200 (MESZ)

> Hi all,
> 
> All references but RFC5050 have been removed:
> 
> http://www.iana.org/assignments/uri-schemes.html
> 
> Thanks,
> 
> Amanda Baber
> IANA

Thanks, Amanda.

Yet, the discussion so far and another look at the registry have
guided me to another suggestion for improvement of the URI Schemes
registry:

The "Permanent URI Schemes" part of the registry contains entries
for the RFC 2806 schemes 'tel' and 'modem' that have been deprecated
by RFC 3966.  Both these entries contain the note:
   "(historical, see [RFC3966])".

It could be argued that these entries actually belong into the
"Historical URI Schemes" part of the registry, but maybe there is
some value in keeping them in the current places, so my suggestion
is to place _copies_ of these entries in the latter part, to make
it easier to recognize the entire bunch of historicl schemes.

Kind regards,
  Alfred.

> On Wed Oct 06 14:48:17 2010, [email-masked] wrote:
>> I would agree that RFC5050 is sufficient reference in the registry,
>> and the  others might reasonably be elided.
>> 
>> #g
>> --
>> 
>> Alfred Hönes wrote:
>>> The IANA registry of URI Schemes
>>>   ( <http://www.IANA.ORG/assignments/uri-schemes.html> )
>>> contains, in the section "Provisional URI Schemes", the entry for
>>> the 'dtn' URI scheme registered by RFC 5050.
>>> 
>>> Beyond that reference, the registry also lists I-Ds from the IRTF's
>>> DTNRG (are these references [still] needed after the publication of
>>> RFC 5050?) and, confusingly, [RFC3987] -- the IRI RFC.
>>> This latter reference does not make sense, IMO: the string "dtn"
>>> does not even appear in that RFC.
>>> Thus, this reference is regarded as spurious and should be deleted
>>> from the IANA registry.
>>> 
>>> Kind regards,
>>>   Alfred Hönes.

---

From: Ira McDonald <[email-masked]>
Date: Thu, 14 Oct 2010 09:37:12 -0400

Hi,

Small but important correction.

RFC3966 ('tel:' URI) is current, not historical.

And RFC 3966 makes historical the companion 'fax:' and
'modem:' schemes from RFC 2806.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Co-Chair - IEEE-ISTO PWG IPP WG
Co-Chair - TCG Hardcopy WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music/High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto:[email-masked]
Christmas through April:
  579 Park Place  Saline, MI  48176
  734-944-0094
May to Christmas:
  PO Box 221  Grand Marais, MI 49839
  906-494-2434

On Wed, Oct 13, 2010 at 3:51 PM, Alfred HÎnes <[email-masked]> wrote:

> >> Alfred HÎnes wrote:
> >>>   Alfred HÎnes.
> _______________________________________________
> Uri-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/uri-review
>

---

From: Alfred Hönes <[email-masked]>
Date: Thu, 14 Oct 2010 16:05:53 +0200 (MESZ)

Ira,
many thanks for catching my inadvertant swapping of URI scheme names!

For clarity, I have noted the correction again inline below.

BR,
  Alfred.

Ira McDonald wrote:
> On Wed, Oct 13, 2010 at 3:51 PM, Alfred Hönes <[email-masked]> wrote:
>
>> Hi all,
>>
  Read: 'fax' --------------^^^

>> ...